> ## Documentation Index
> Fetch the complete documentation index at: https://docs.didx.co.za/llms.txt
> Use this file to discover all available pages before exploring further.

# Secure Citizen Statistical Proof of Address

> This is a service that validates the address of a consumer for use in an identity validation process



## OpenAPI

````yaml products/didx-verify/api-reference/v1/openapi.json post /Citizen/StatisticalProofOfAddress
openapi: 3.0.1
info:
  title: SecureCitizen.Citizen.Api
  description: >-
    This is the API documentation for Secure Citizen products. Should you
    require further information please contact us on the email provided.
  contact:
    name: Api Contant Name
    email: support@securecitizen.co.za
  license:
    name: Proprietary
    url: https://www.securecitizen.co.za
  version: v1
  x-logo:
    url: >-
      https://securecitizen.co.za/wp-content/uploads/2022/11/Untitled-design-14.svg
    altText: Secure Citizen
servers:
  - url: https://citizen.uat.securecitizen.cloud
security: []
tags:
  - name: Citizen
    description: This details information we can replace to describe this endpoint
  - name: CitizenV
    description: This details information we can replace to describe this endpoint
  - name: CustomClient
    description: This details information we can replace to describe this endpoint
  - name: Partner
    description: This details information we can replace to describe this endpoint
paths:
  /Citizen/StatisticalProofOfAddress:
    post:
      tags:
        - Citizen
      summary: Secure Citizen Statistical Proof of Address
      description: >-
        This is a service that validates the address of a consumer for use in an
        identity validation process
      operationId: StatisticalProofOfAddress
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CombinedGetStatisticalAddressRequest'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetStatisticalAddressResponse'
        '401':
          description: Unauthenticated
        '403':
          description: Unauthorized access to this resource
        '500':
          description: Cat-as-trophy
      security:
        - oauth2:
            - sc-citizen
components:
  schemas:
    CombinedGetStatisticalAddressRequest:
      required:
        - ConsentReceived
      type: object
      properties:
        CRef:
          title: Client Reference
          type: string
          description: "Example: \"REF00001\"\r\n\r\nThis is the unique transaction reference number that can be supplied by the controller. This will be provided in response messages related to the transaction and will be required for identifying transactions for support purposes."
          format: string
          nullable: true
        ConsentReceived:
          title: Consent Received
          type: boolean
          description: "Example: true\r\n\r\nThis is an indicator to audit the fact that the controller has obtained consent from the subject to process their personal information and data as per the regulatory requirements pertaining to local and global privacy and data protection legislation."
          format: bool
        IDNumber:
          title: ID Number
          type: string
          description: >-
            The client should provide the ID number of the consumer whose
            address they wish to validate.
          nullable: true
      additionalProperties: false
    GetStatisticalAddressResponse:
      type: object
      properties:
        CRef:
          title: Client Reference
          type: string
          description: >-
            This field will return the reference provided by the client to track
            the transaction.
          format: string
          nullable: true
        Status:
          $ref: '#/components/schemas/ExternalStatusEnums'
        Message:
          title: Message
          type: string
          description: >-
            This will return a status of the transaction s well as external
            tracking information.
          format: string
          nullable: true
        result:
          title: Result
          type: boolean
          description: This will indicate whether the validation was successful.
        result_code:
          $ref: '#/components/schemas/ResultCode'
        response_object:
          $ref: '#/components/schemas/GetStatisticalAddressResponseObject'
      additionalProperties: false
    ExternalStatusEnums:
      title: Status
      enum:
        - Success
        - Failure
        - Unknown
        - AuthFailure
        - DataDeserializationError
        - EmptyResults
        - ErrorContactSupport
        - FaceDetectionFailure
        - FaceComparisonFailure
        - NoStatusDefined
        - FaceDetectionQualityTooLow
        - FaceDetectionTooManyFaces
        - FaceDetectionNoFacesFound
        - FaceComparisonError
        - FaceComparisonNotSame
        - GoldenSourceImageNull
        - ProvidedImageNull
        - GoldenSourceNoFacesFound
        - ProvidedImageNoFacesFound
        - GoldenSourceHasTooManyFaces
        - ProvidedImageHasTooManyFaces
        - GoldenSourceQualityTooLow
        - ProvidedImageQualityTooLow
        - GoldenSourceGUIDIncorrect
        - ProvidedImageGUIDIncorrect
        - FaceAPIGeneralError
        - FaceAPIPublicUrlInputError
        - FaceBadInput
        - GoldenSourceIncorrectStringFormat
        - ProvidedImageIncorrectStringFormat
        - SAFPSNPROk
        - SAFPSHANISOk
        - SAFPSNIISOk
        - SAFPSNPRSlow
        - SAFPSHANISSlow
        - SAFPSNIISSlow
        - SAFPSFailure
        - SAFPSPossibleFailure
        - SAFPSNPRFailure
        - SAFPSHANISFailure
        - SAFPSNIISFailure
        - FaceTooClose
        - EyesClosed
        - FaceCloseToBorder
        - FaceCropped
        - FaceIsOccluded
        - FaceNotFound
        - TooManyFaces
        - FaceTooSmall
        - AbsoluteFaceTooSmall
        - RelativeFaceTooSmall
        - FaceAngleTooLarge
        - FailedToPredictLandmarks
        - Active
        - CSuccess
        - AsyncCSuccess
        - IdentificationNumberInvalid
        - IdentificationNumberAgeBelow18
        - UnableToVerifyIdentificationNumberOnDocument
        - UnableToVerifyIdentificationNumberAtGoldenSource
        - GoldenSourceUnavailable
        - MandatoryInformationMissing
        - NPRSuccess
        - HANISNotAvailable
        - InvalidIDNCheckDigitTestNotPassed
        - NPRNotAvailableOnlyPhotoIsReturned
        - IDNRIsNotCurrentlyAValidNPRIDNR
        - IDNRIsMarkedForDeletion
      type: string
      description: >-
        Status values (static strings) to be used for external connection
        management
      format: string
    ResultCode:
      type: object
      properties:
        name:
          title: ID Name
          type: string
          description: The name extracted from the identity document provided.
          nullable: true
        id:
          title: ID number
          type: integer
          description: >-
            The identity document number extracted from the identity document
            provided.
          format: int32
      additionalProperties: false
    GetStatisticalAddressResponseObject:
      type: object
      properties:
        ci:
          $ref: '#/components/schemas/Ci'
        av:
          $ref: '#/components/schemas/Av'
        basic:
          title: Address Information
          type: array
          items:
            $ref: '#/components/schemas/Basic'
          description: Basic address information
          nullable: true
      additionalProperties: false
    Ci:
      type: object
      properties:
        responses:
          title: Response
          type: string
          description: This is the summary of the response received.
          nullable: true
        addresses:
          title: Address List
          type: array
          items:
            $ref: '#/components/schemas/Address'
          description: This is a list of addresses
          nullable: true
        phoneNumbers:
          title: Phone Number
          type: string
          description: This returns the numbers of the consumer.
          nullable: true
      additionalProperties: false
    Av:
      type: object
      properties:
        summary:
          title: Summary
          type: string
          description: This is the summary of the address validation
          nullable: true
        responses:
          title: Responses
          type: array
          items:
            type: string
          description: Responses obtained when doing an address validation
          nullable: true
      additionalProperties: false
    Basic:
      type: object
      properties:
        line1:
          title: Line 1
          type: string
          description: Street number and name
          nullable: true
        line2:
          title: Line 2
          type: string
          description: Suburb name
          nullable: true
        line3:
          title: Line 3
          type: string
          description: City Name
          nullable: true
        line4:
          title: Line 4
          type: string
          description: Province Name
          nullable: true
        postalCode:
          title: Postal Code
          type: string
          description: Postal code
          nullable: true
        firstReportDate:
          title: First Report Date
          type: string
          description: Date this address was first reported
          nullable: true
        lastUpdateDate:
          title: Date Updated
          type: string
          description: Last known date record was updated
          nullable: true
      additionalProperties: false
    Address:
      type: object
      properties:
        name:
          title: Name
          type: string
          description: Name of associated address
          nullable: true
        suburbName:
          title: Suburb Name
          type: string
          description: Name of suburb associated with address
          nullable: true
        townName:
          title: Town Name
          type: string
          description: Name of town associated with address
          nullable: true
        provinceName:
          title: Province Name
          type: string
          description: Name of province associated with address
          nullable: true
        countryName:
          title: Country Name
          type: string
          description: Name of country associated with address
          nullable: true
        streetCode:
          title: Street Code
          type: string
          description: Street code associated with address
          nullable: true
        typeId:
          title: Type ID
          type: string
          description: ID associated with the type of property associated with address
          nullable: true
        centreLat:
          title: TODO
          type: string
          description: TODO
          nullable: true
        centreLon:
          title: TODO
          type: string
          description: TODO
          nullable: true
        createdDate:
          title: Date Created
          type: string
          description: Date which this address record was created
          nullable: true
        lastUpdated:
          title: Last Updated
          type: string
          description: Date which this address record was last updated
          nullable: true
      additionalProperties: false
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://sts.uat.securecitizen.cloud/connect/authorize
          tokenUrl: https://sts.uat.securecitizen.cloud/connect/token
          scopes:
            sc-citizen: SecureCitizen.Citizen.Api

````